Bug 1127590 - remove leftovers from older unsupported versions that exist in the code + DB
Summary: remove leftovers from older unsupported versions that exist in the code + DB
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Martin Perina
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 08:21 UTC by Oved Ourfali
Modified: 2016-02-10 19:30 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-12 14:26:30 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31266 None None None Never
oVirt gerrit 32231 master MERGED core: Use version 3.0 instead of 2.2 in GetCommandsCompatibilityVersionsQueryTest Never
oVirt gerrit 32232 master MERGED core: Use version 3.0 instead of 2.2 UpdateVmCommandTest Never
oVirt gerrit 32233 master MERGED core: Remove version 2.2 checks in DataCenterStorageListModel Never
oVirt gerrit 32234 master MERGED core: Remove version 2.2 from Version and VersionStorageFormatUtil Never
oVirt gerrit 32235 master MERGED core: Remove remains of version 2.2 from FencingPolicyHelper Never
oVirt gerrit 32427 ovirt-engine-3.5 MERGED core: StoragePoolValidatorTest config mocking Never
oVirt gerrit 32428 ovirt-engine-3.5 MERGED core: Use version 3.0 instead of 2.2 in GetCommandsCompatibilityVersionsQueryTest Never
oVirt gerrit 32429 ovirt-engine-3.5 MERGED core: Use version 3.0 instead of 2.2 UpdateVmCommandTest Never
oVirt gerrit 32430 ovirt-engine-3.5 MERGED core: Remove version 2.2 checks in DataCenterStorageListModel Never
oVirt gerrit 32431 ovirt-engine-3.5 MERGED core: Remove version 2.2 from Version and VersionStorageFormatUtil Never
oVirt gerrit 32432 ovirt-engine-3.5 MERGED core: Remove remains of version 2.2 from FencingPolicyHelper Never

Description Oved Ourfali 2014-08-07 08:21:11 UTC
The oVirt source code and DB still contains places in which we refer to version 2.2, which is no longer supported. Please remove these references.

Comment 1 Allon Mureinik 2014-08-08 18:24:34 UTC
Caught one of them as part of the cleanup I handled in http://gerrit.ovirt.org/#/c/31266/.

Please make sure someone from the storage team either reviews or collaborates on the changes required to storage classes (VersionStorageFormatUtil, DataCenterStorageListModel).

The other usages are tests (GetCommandsCompatibilityVersionsQueryTest, UpdateVmCommandTest) and the declaration of this constant in Version itself.
I'd be happy to review/collaborate on those too if needed.

Comment 2 Gil Klein 2014-10-12 14:26:30 UTC
This bug was fixed and is slated to be in the upcoming version. As we
are focusing our testing at this phase on severe bugs, this bug was
closed without going through its verification step. If you think this
bug should be verified by QE, please set its severity to high and move
it back to ON_QA


Note You need to log in before you can comment on or make changes to this bug.